/*
  Button_ex
 
  Зажигает и отключает светодиод, подключенный к PF7 пин 47,
  когда нажата кнопка, подключенная к PF6 пин 46. 
  Схема:
  Светодиод подключен к пину PF7 одной ножкой и на землю другой
  Кнопка подключена к PF6 одной ножкой и на питание другой
  Подтягивающий резистор подключен к PF6 одной ножкой и к земле другой
  Распиновка ATmega128:
  8-15 PC0-PC7         
  16-23 PA0-PA7         
  24-31 PB0-PB7         
  32-39 PE0-PE7         
  40-47 PF0-PF7         
  48-50 PG0-PG2         
  0-7 PE0-PE7   
 */

const int buttonPin = 46;     // Кнопка подключена к пину 46 (PF6)
const int ledPin =  47;      // Светодиод подключен к пину 47 (PF7)

int buttonState = 0;         // Статус кнопки

void setup() {
  // установка пина на вывод
  pinMode(ledPin, OUTPUT);      
  // установка пина на ввод
  pinMode(buttonPin, INPUT);     
}
//Основной цикл программы
void loop(){
  // читаем состояние кнопки
  buttonState = digitalRead(buttonPin);

  // нажата ли кнопка?
  // если да, то на пине будет 1
  if (buttonState == HIGH) {     
    // включаем светодиод    
    digitalWrite(ledPin, HIGH);  
  } 
  else {
    // выключаем светодиод
    digitalWrite(ledPin, LOW); 
  }
}
